---
all:
  hosts:
    localhost:
      ansible_connection: local
  children:
    web:
      hosts:
        web1.mycompany.com:
        web2.mycompany.com:
    app:
      hosts:
        app[1:3].mycompany.com: # <- bracket shortcut
    wellington:
      hosts:
        jump:
        web1.mycompany.com:
        app1.mycompany.com:
    auckland:
      hosts:
        web2.mycompany.com:
        app[2:3].mycompany.com:
